# LinkedSupervisorScope

fun CoroutineContext . LinkedSupervisorScope (additionalContext: CoroutineContext ? = null): CoroutineScope(source)

Creates a new CoroutineScope with a SupervisorJob linked to this CoroutineContext's job. The new scope's supervisor job will be a child of the current job, and optionally combined with additionalContext.

#### Return

A new CoroutineScope with a linked supervisor job

#### Parameters

additionalContext

Optional additional context to combine with the supervisor job

fun CoroutineScope. LinkedSupervisorScope (additionalContext: CoroutineContext ? = null): CoroutineScope(source)

Creates a new CoroutineScope with a SupervisorJob linked to this CoroutineScope's job. The new scope's supervisor job will be a child of the current scope's job, and optionally combined with additionalContext.

#### Return

A new CoroutineScope with a linked supervisor job

#### Parameters

additionalContext

Optional additional context to combine with the supervisor job